polls/urls.py
from django.conf.urls import url, include
from . import views
from polls.views import *
urlpatterns = [
 url('', include('social.apps.django_app.urls', namespace='social')),
 url('', include('django.contrib.auth.urls', namespace='auth')),
 url(r'^home1/$', views.login),
 url(r'^home/$', views.login),
 url(r'^home/dashboard/$', views.dashboard1),
 url(r'^events/selquiz/$', views.selquiz),
 url(r'^register/$', views.register),
 url(r'^polls_json/$', views.ajax),
 url(r'^register/test/$',views.test),
 url(r'^register/QuizReg/EditOrCreate/(?P<quizname>.+)/$',views.quizuptab),
 url(r'^register/QuizReg/Delete/(?P<quizname>.+)/$',views.delref),
 url(r'^register/test2/(?P<quizname>.+)/$',views.editq),
 url(r'^register/test3/(?P<quizname>.+)/$',views.delq),
 url(r'^register/(?P<eid>.+)/(?P<otp>\d+)/$',views.transfer_details),
 url(r'^register/(?P<eid>.+)/(?P<otp>\d+)/interests/$',views.register2),
 url(r'^register/(?P<eid>.+)/(?P<otp>\d+)/interests/dashboard/$',views.register3),
 url(r'^register/QuizReg/$',views.QuizReg),
 url(r'^register/QuizReg/EditOrCreate/$',views.EditOrCreate),
 url(r'^register/QuizReg/EditOrCreate1/CreateQuiz/$',views.CreateQuiz),
 url(r'^events/selquiz/desc/register/(?P<quizname>.+)/$',views.UserQuizReg),
 url(r'^events/selquiz/desc/(?P<quizname>.+)/$',views.RegCheck),
 url(r'^events/selquiz/quiz/QuizPlay/Score/(?P<quizname>.+)/$',views.Score),
 url(r'^events/selquiz/quiz/QuizPlay/(?P<quizname>.+)/$',views.QuizPlay),
 url(r'^events/selquiz/quiz/(?P<quizname>.+)/$',views.quizgo),
 url(r'^QuizReg/EditOrCreate/editdetails/$',views.ChangeDate),
 url(r'^QuizReg/EditOrCreate/editques/(?P<quizname>.+)/$',views.editref)
]

sarvasv 27-7/untitled2/polls/urls.py
from django.conf.urls import url
from . import views
from polls.views import *
urlpatterns = [
 url(r'^register/$', views.register),
 url(r'^polls_json/$', views.ajax),
 url(r'^register/test/$',views.quizcrtab),
 url(r'^register/test1/$',views.quizuptab),
 url(r'^register/test2/$',views.editq),
 url(r'^register/(?P<eid>.+)/(?P<otp>\d+)/$',views.transfer_details),
 url(r'^register/(?P<eid>.+)/(?P<otp>\d+)/interests/$',views.register2),
 url(r'^register/(?P<eid>.+)/(?P<otp>\d+)/interests/dashboard/$',views.register3),
]

sarvasv 27-7/untitled2/untitled/urls.py
from django.conf.urls import include, url
from django.contrib import admin
urlpatterns = [
url(r'^polls/', include('polls.urls')),
url(r'^admin/', admin.site.urls),
]

untitled/urls.py
from django.conf.urls import include, url
from django.contrib import admin
urlpatterns = [
url(r'^polls/', include('polls.urls')),
url(r'^admin/', admin.site.urls),
]

polls/models.py
from django import forms
from django.db import models
import django.dispatch
sentdata=django.dispatch.Signal(providing_args=["arg"])

class UserProfile(models.Model):
     firstname = models.CharField(max_length=60,null=True,blank=True)
     dob = models.DateField(null=True,blank=True)
     contact = models.CharField(max_length=11,null=True,blank=True)
     college = models.CharField(max_length=120)
     emailid = models.EmailField()
     username=models.CharField(max_length=200)
     password = models.CharField(max_length=20)
     interest1 = models.NullBooleanField(default=False)
     interest2 = models.NullBooleanField(default=False)
     interest3 = models.NullBooleanField(default=False)
     interest4 = models.NullBooleanField(default=False)
     interest5 = models.NullBooleanField(default=False)
     picture=models.ImageField(upload_to='profile_images', blank=True, null=True)

class Global(models.Model):
    username=models.CharField(max_length=200,blank=True)
    emailid=models.EmailField()
    sessionid=models.CharField(max_length=10000,blank=True)
    is_loggedin=models.BooleanField(default=False)

class Users(models.Model):
    college = models.CharField(max_length=120)
    emailid = models.EmailField()
    password = models.CharField(max_length=20)
    conpassword=models.CharField(max_length=20)
    username=models.CharField(max_length=200)
    otp=models.CharField(max_length=20,blank=True)

#class Dummy(models.Model):
    #dummydata=models.CharField(max_length=10)
    #def send_data(self):
       # sentdata.send(sender=self._class_,arg="True")

class ProfilePicture(models.Model):
    emailid = models.CharField(max_length=60, blank=True, null=True)
    picture = models.ImageField(upload_to='profile_images', blank=True, null=True)
    def __unicode__(self):
        return self.emailid

class Question(models.Model):
    qid=models.CharField(max_length=8,blank=False, null=False)
    questionText=models.CharField(max_length=5000,blank=False,null=False)
    option1Text=models.CharField(max_length=500,blank=True,null=True)
    option2Text=models.CharField(max_length=500,blank=True,null=True)
    option3Text=models.CharField(max_length=500,blank=True,null=True)
    option4Text=models.CharField(max_length=500,blank=True,null=True)
    option5Text=models.CharField(max_length=500,blank=True,null=True)
    option6Text=models.CharField(max_length=500,blank=True,null=True)
    option7Text=models.CharField(max_length=500,blank=True,null=True)
    option8Text=models.CharField(max_length=500,blank=True,null=True)
    option9Text=models.CharField(max_length=500,blank=True,null=True)
    option10Text=models.CharField(max_length=500,blank=True,null=True)
    answerSeq=models.CharField(max_length=10,blank=False,null=False)

class QuizReg(models.Model):
    loginid=models.CharField(max_length=1000,blank=False,null=False)
    passwd=models.CharField(max_length=1000,blank=False,null=False)



class QuizGlobal(models.Model):
    creator=models.CharField(max_length=1000,blank=False,null=False)
    quizname=models.CharField(max_length=5000,blank=False,null=False)
    starttime=models.DateTimeField(blank=True, null=True)
    endtime=models.DateTimeField(blank=True, null=True)
    duration=models.IntegerField(blank=True, null=True)
    description=models.CharField(max_length= 10000, blank=True, null=True)
    marking=models.CharField(max_length= 10000, blank=True, null=True)
    prizes=models.CharField(max_length= 10000, blank=True, null=True)
    mscc=models.IntegerField(blank=True, null=True)
    msci=models.IntegerField(blank=True, null=True)
    mmcc=models.IntegerField(blank=True, null=True)
    mmci=models.IntegerField(blank=True, null=True)

polls/views.py
from _ctypes import sizeof
from django.http import HttpResponse
from django.shortcuts import render_to_response
from django.template import RequestContext
import sqlite3
from polls.registerform import UserForm,UserProfileForm,InterestsForm,QuizRegForm
from polls.misc_functions import mail,mail2,random_num, tablechk, intrchk
from polls.models import ProfilePicture,UserProfile
import json,datetime
import time,threading
import _thread
from django.contrib.sessions.models import Session
import time
from django.db.models.signals import post_save
from django.dispatch import receiver

otp=0
Response=''

class myThread1(threading.Thread):
    def __init__(self, eid,quizname):
        threading.Thread.__init__(self)
  #      self.threadID = threadID
        self.eid = eid
        self.quizname = quizname
    def run(self):
         mail2(self.eid,self.quizname)
  #      print ("Exiting " + self.name)

def register(request):
   registered = False


   # If it's a HTTP POST, we're interested in processing form data
   print('chk0')
   if request.method == 'POST':
     if request.POST.get('emailid')!='0':
      eidstr= request.POST.get('emailid')
      print("eid"+str(eidstr))
     else:
      eidstr= request.POST.get('emailid2')
     vara= tablechk('polls_userprofile','emailid', eidstr )
     if(vara==1):

       print("alpha"+str(vara))
       if request.POST.get('emailid')!='0':
         ajaxstr='chk1'
        # print(ajaxstr)
         user_form = UserForm(data=request.POST)

        # print('chk2')
         response_dict={}


         if request.POST.get('password') == request.POST.get('conpassword'):

              if vara==1:

                   print("kutta")
                   otpstr=mail(request.POST.get('emailid'))

                   message='mail sent'
                   str1= request.POST.get('emailid')
                   print("ert"+otpstr+str1)


                   # Save the user's form data to the database.
                   user = user_form.save()
                   # Now we hash the password with the set_password method.
                   # Once hashed, we can update the user object.
                   #user.password(user.password)
                   user.save()
                   conn = sqlite3.connect('db.sqlite3')
                   cursor=conn.cursor()
                   cursor.execute('''UPDATE polls_users SET otp = ? where emailid = ? ''',(otpstr,str1))
                   cursor.close()
                   conn.commit()
                   ajaxstr="Email sent"
                   registered= True
                   response_dict.update({'resp1' : ajaxstr, 'gamma' : 0})

                   return HttpResponse(json.dumps(response_dict),content_type='application/javascript')

              else:
                   ajaxstr='Email id already registered'
                   response_dict.update({'resp1' : ajaxstr,'gamma':0})
                   return HttpResponse(json.dumps(response_dict))
         else:
               return HttpResponse("Password don't match")

       else :
          response_dict={}
          gamma=0
          response_dict.update({'gamma':gamma, 'resp1': 'Email has been sent'})
          return HttpResponse(json.dumps(response_dict),content_type='application/javascript')
     else:
         response_dict={}
         gamma=1
         if(request.POST.get('emailid')==request.POST.get('emailid2')):
           response_dict.update({'gamma':gamma, 'resp1': 'Email id already registered'})
         else :
           response_dict.update({'gamma':gamma, 'resp1': 'Chal gaya', })
         return HttpResponse(json.dumps(response_dict),content_type='application/javascript')

   # Not a HTTP POST, so we render our form using two ModelForm instances.
   # These forms will be blank, ready for user input.
   else:
       user_form = UserForm()
       user_profileform = UserProfileForm()
       ajaxstr='Email has been sent4545'
       print(ajaxstr)

       # Render the template depending on the context.
       return render_to_response('polls/registerform.html',{'user_form': user_form,'user_profileform' : user_profileform ,'registered':registered},context_instance=RequestContext(request))

def ajax(request):
     if ('client_response') in request.POST:
        x = request.POST['client_response']
        if(otp==int(x)):
           # print (otp)
            Response='True'
        else:
            Response='False'

        response_dict = {'Response':Response}
        return HttpResponse(json.dumps(response_dict), content_type='application/javascript')
     else:
        return render_to_response('registerform.html', context_instance=RequestContext(request))

def transfer_details(request,eid,otp):

     conn = sqlite3.connect('db.sqlite3')
     cursor=conn.cursor()
     cursor.execute('''Select emailid from polls_users where emailid = ? and otp = ?''',(eid,otp))
     conn.commit()
     emailid_final=cursor.fetchone()
     cursor.execute('''Select password from polls_users where emailid = ? and otp = ?''',(eid,otp))
     conn.commit()
     password_final=cursor.fetchone()
     cursor.execute('''Select college from polls_users where emailid = ? and otp = ?''',(eid,otp))
     conn.commit()
     college_final=cursor.fetchone()
     cursor.execute('''Select username from polls_users where emailid = ? and otp = ?''',(eid,otp))
     username_final=cursor.fetchone()
     conn.commit()
     cursor.execute('''DELETE FROM polls_users where emailid = ?''', (eid,))
     conn.commit()
     cursor.execute('''INSERT INTO polls_userprofile (emailid, password, college,username) values(?,?,?,?)''',(emailid_final[0],password_final[0],college_final[0],username_final[0]))
     conn.commit()
     cursor.execute('''CREATE TABLE '''+username_final[0]+'''activity (quizname TEXT NOT NULL,starttime DATETIME NOT NULL, endtime DATETIME NOT NULL, points INTEGER NOT NULL, status INTEGER NOT NULL)''')
     conn.commit()
     request.session['last_visit'] = str(time.strftime("%H:%M:%S"))
     request.session['visits'] = 1
     request.session['eid']=eid
     request.session['otp']=otp
     new_sessionid=request.session._get_new_session_key()
     cursor.execute('''INSERT INTO polls_global (emailid, username, sessionid,is_loggedin) values(?,?,?,?)''',(emailid_final[0],username_final[0],new_sessionid ,True))
     conn.commit()
     user_profileform= UserProfileForm()
     return render_to_response('polls/registerform.html',{'user_form': user_profileform, 'eid' : eid, 'otp' : otp},context_instance=RequestContext(request))



def register2(request,eid,otp):
    if request.method=='POST':
        userprofile_form=UserProfileForm(request.POST, request.FILES)
        if userprofile_form.is_valid():
            firstname=request.POST['firstname']
            #lastname=request.POST['lastname']
            dob=request.POST['dob']
            #gender=request.POST['gender']
            #fathername=request.POST['fathername']
            #permaadd=request.POST['permaadd']
            contact=request.POST['contact']
            if 'picture' in request.FILES:
               userprofile_form.picture=request.FILES['picture']

            new=ProfilePicture(emailid=eid, picture=userprofile_form.picture)
            new.save()
            conn = sqlite3.connect('db.sqlite3')
            cursor=conn.cursor()
            cursor.execute('''UPDATE polls_userprofile SET firstname=?  ,dob=? ,contact =?  where emailid = ? ''',(firstname,dob,contact,eid,))
            print ('alpha')
            conn.commit()
            interest_form=InterestsForm()
            return render_to_response('polls/interestform.html',{'interest_form': interest_form, 'eid' : eid, 'otp' : otp},context_instance=RequestContext(request))

        else:
           # Invalid form or forms - mistakes or something else?
           # Print problems to the terminal.
           # They'll also be shown to the user.
            return HttpResponse(userprofile_form.errors)

    else:
            userprofile_form = UserProfileForm()

       # Render the template depending on the context.
            return render_to_response('polls/userprofileform.html',{'userprofile_form': userprofile_form},context_instance=RequestContext(request))



def register3(request,eid,otp):
     if request.method=='POST':
         interest_form=InterestsForm(data=request.POST)
         if interest_form.is_valid():
             interest1=request.POST['interest1']
             interest2=request.POST['interest2']
             interest3=request.POST['interest3']
             interest4=request.POST['interest4']
             interest5=request.POST['interest5']
             interest1=str(interest1)
             interest2=str(interest2)
             interest3=str(interest3)
             interest4=str(interest4)
             interest5=str(interest5)
             conn=sqlite3.connect('db.sqlite3')

             cursor=conn.cursor()
             cursor.execute('''UPDATE polls_userprofile SET interest1=?,interest2=?,interest3=?,interest4=?,interest5=? where emailid=? ''',(intrchk(interest1),intrchk(interest2),intrchk(interest3),intrchk(interest4),intrchk(interest5),eid,))
             conn.commit()

             return HttpResponse(" "+str(interest1))
         else :
             return HttpResponse(interest_form.errors)

     else:
            interest_form=InterestsForm()




       # Render the template depending on the context.
            return render_to_response('polls/dashboard.html',context_instance=RequestContext(request))

def login(request):
    if(request.method=="POST"):
        uname=request.POST.get('uname')
        pwd=request.POST.get('pwd')
        conn=sqlite3.connect('db.sqlite3')
        cursor=conn.cursor()
        print("cck"+uname)
        cursor.execute('''SELECT COUNT(*) FROM polls_userprofile where username=? AND password=?''',(uname,pwd,))
        conn.commit()
        c1=cursor.fetchone()
        ch1=c1[0]

sarvasv 27-7/untitled2/templates/polls/dashboard.html
<!DOCTYPE html>
 {% load static %}
<html>
<head>
    
    <div class="header">
        <img src="{% static  "images/head.png"%}" class="head">
        
     </div>
    <img src="{%  static "images/s_logo_2.png"%}" class="logo2">
    <img src="{%static "images/s_logo_1.png"%}" class="logo1">
    <div class="header2">
    <img src="{%static "images/arrow.png"%}" class="arrow">
        <img src="{% static "images/search.png"%}" class="search">
        
        <input type="text" class="searchb" >
        
        <span class="rightt">Sign in/up</span>
    
 <img src="{%static "images/glare.png"%}" class="glare">
    </div>
    
    <title>Sarvasv-IITBHU</title>
 <!-- css-->
    <link rel="stylesheet" type="text/css" href="{% static "stylesheets/layout.css"%}">
    <link rel="stylesheet" type="text/css" href="{% static "stylesheets/main.css"%}">
     <link rel="stylesheet" type="text/css" href="{% static "stylesheets/dashboard.css"%}">
 <!-- Scripts -->
    <script src="{% static "scripts/jquery-2.2.1.min.js"%}" type="text/javascript"></script>
     <script src="{%  static "scripts/layout.js"%}" type="text/javascript"></script>
     
  
    
</head>

<body><div class="bodym">
    
    <img src="{% static "images/logobed.png"%}" class="logobed">
    <ul>
    <li><a>Events</a></li>
        <li><a>Leaderboard</a></li>
        <li><a>Forum</a></li>
        <li><a>Library</a></li>
        <li><a>About Us</a></li>
    </ul>
    <form method="post" action="">
    <fieldset>
        <legend>Login</legend>
        <input type="text" name="uname" placeholder="User name">
        <br><input type="password" name="pwd" placeholder="Password">
        <br><input type="submit" value=" Login ">
        <ul><li><a href="#">Forgot Password ?</a></li><li><a href="#">Register</a></li></ul>
        </fieldset>
    </form>
    <img src="{% static "images/menu_foot.png"%}" class="menuf">
    
         
    </div>
    <div class="bodyc"><br>
    <div class="col-12" >
    <div class="righ border col-2">
        <div class="first">
        <img src="{%static "images/s_logo_1.png"%}"><br>
            <p>Notifications</p>
        </div>
        <img src="{%static "images/s_logo_1.png"%}"><br>
        <p>Current Status</p>
        <img src="{%static "images/s_logo_1.png"%}"><br>
        <p>Achievements</p>
        <img src="{%static "images/s_logo_1.png"%}"><br>
        <p>User Profile</p>
        <img src="{%static "images/s_logo_1.png"%}"><br>
        <p>Change Password</p>
    </div>
    </div>
    </div>
        
    
  
    </body>
</html>

sarvasv 27-7/untitled2/templates/polls/interests.html
<!DOCTYPE html>
<html>
<head lang="en">
    <meta charset="UTF-8">
    <title></title>
</head>
<body>

</body>
</html>

sarvasv 27-7/untitled2/templates/polls/registerform.html
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/html">
<head lang="en">
    <meta charset="UTF-8">
    <title>Registration Page</title>
{% load static %}
<div class="header">
        <img src="{% static "images/head.png"%}" class="head">

     </div>
    <img src="{% static "images/s_logo_2.png"%}" class="logo2">
    <img src="{% static "images/s_logo_1.png"%}" class="logo1">
    <div class="header2">
    <img src="{% static "images/arrow.png"%}" class="arrow">
        <img src="{% static "images/search.png"%}" class="search">

        <input type="text" class="searchb" >

        <span class="rightt">Sign in/up</span>

 <img src="{% static "images/glare.png"%}" class="glare">
    </div>

    <title>Sarvasv-IITBHU</title>
 <!-- css-->
    <link rel="stylesheet" type="text/css" href={% static "stylesheets/layout.css"%}>
    <link rel="stylesheet" type="text/css" href="{% static "stylesheets/main.css"%}">
 <!-- Scripts -->
    <script src="{% static "scripts/jquery-2.2.1.min.js"%}" type="text/javascript"></script>
     <script src="{% static "stylesheets/layout.js"%}" type="text/javascript"></script>

    <script type="text/javascript">
    var temp=''
    $(document).ready(function(){
        function getCookie(c_name) {
        if(document.cookie.length > 0) {
            c_start = document.cookie.indexOf(c_name + "=");
            if(c_start != -1) {
                c_start = c_start + c_name.length + 1;
                c_end = document.cookie.indexOf(";", c_start);
                if(c_end == -1) c_end = document.cookie.length;
                return unescape(document.cookie.substring(c_start,c_end));
            }
        }
        return "";
    }

       $(function () {
        $.ajaxSetup({
            headers: {
                "X-CSRFToken": getCookie("csrftoken")
            }
        });
           });

    $(".btn").click(function () {

         {
            div2.style.display = "none";
            div3.style.display = "none";
            div5.style.display = "none";

            var gamma = 10;
            var j = 1;
            var college, emailid, emailid2, password, conpassword, username;
            temp = $("#id_emailid").val();

            (function theLoop(i) {
                setTimeout(function () {

                    if (j == 1) {

                        college = $("#id_college").val();
                        emailid = temp;
                        emailid2 = temp;
                        password = $("#id_password").val();
                        conpassword = $("#id_conpassword").val();
                        username = $("#id_username").val();
                    }
                    else if (gamma != 0) {
                        college = '0';
                        emailid = '0';
                        emailid2 = temp;
                        password = '0';
                        conpassword = '0';
                        username = '0';
                    }
                    else {

                    }
                    j++;
                    //$.post("http://127.0.0.1:8000/polls/register/",{'college':college,'emailid':emailid, 'password': password, 'conpassword':conpassword, 'username':username});


                    $.ajax({
                        type: 'POST',
                        dataType: "json",
                        url: 'http://127.0.0.1:8000/polls/register/',
                        //data: frm.serialize(input_stringeck_string),

                        data: {
                            college: college,
                            emailid: emailid,
                            emailid2: emailid2,
                            password: password,
                            conpassword: conpassword,
                            username: username,
                            csrfmiddlewaretoken: '{{ csrftoken }}'
                        }
                        ,
                        success: function (json) {
                            // $("#register2").attr('value','aqa'+json.cd1);
                            if (json.gamma == 0) {
                                gamma = 9;
                                // $('#result').html("qwe" + json.resp1);
                                // div1.style.display="none";
                                //div2.style.display="block";
                                var mail = $('.form>input[name=email]').val();
                                var atposmail = mail.indexOf("@");
                                var dotposmail = mail.lastIndexOf(".");
                                var spacemail = mail.indexOf(" ");
                                var username = $('.form>input[name=UserName]').val();

                                    //Username
                                    mha=true;
                                    //next page
                                    if (mha == true) {
                                        $('.form:nth-child(1)').animate({marginLeft: '-110%'});
                                        $('.form:nth-child(2)').animate({marginLeft: '0px'});
                                        iiu = 1;
                                        $('.btn').css({display: 'none'});
                                        $('.btn').css('cursor', 'default');
                                        $('.reg').css('width', '50%');
                                        $('.reg').css('border-radius', '15px 15px 0px 0px')




                                }
                            }
                            else if (json.gamma == 1) {
                                gamma = 0;
                                if (json.resp1 == 'Chal gaya') {
                                   // div2.style.display = "none";
                                   // div3.style.display = "block";
                                    $('.form:nth-child(2)').animate({marginLeft: '-110%'});
                                            $('.form:nth-child(3)').animate({marginLeft: '0px'});
                                            $('.btn2').css({display: 'block'});
                                            $('.btn').css('cursor', 'pointer');
                                            $('.reg').css('width', '40%');
                                            $('.reg').css('border-radius', '15px 0px 0px 0px')
                                }
                                else {
                                    div5.style.display = "block";

                                }


                            }
                        },
                        error: function (json) {
                            // $("#register2").attr('value','qwe');

                            $('#result').html("jgjyg" + json.resp1);
                        }
                    });
                    if (gamma != 0)

                        if (gamma) {          // If i > 0, keep going
                            theLoop(i);       // Call the loop again, and pass it the current value of i
                        }
                }, 3000);
            })(gamma);
            return false;
        }});
        });
</script>
</head>

<body><div class="bodym">
<img src="{%  static "images/logobed.png"%}" class="logobed">
    <ul>
        <li><span class="plus">Events</span>
        <ul>
                <li><a href="#">kulfi</a></li>
                <li>cone</li>
                <li>cup</li>
                <li>bar</li>
                <li>hello</li>
            <li>hello1</li>
            <li>hello2</li>
            <li>hello3</li>
            <li>hello4</li>
            </ul></li>
        <li ><span class="plus">Leaderboard</span>
            <ul>
                <li>kulfi</li>
                <li>cone</li>
                <li>cup</li>
            </ul>
        </li>
        <li><a>Forum</a></li>
        <li><a>Library</a></li>
        <li><a>About Us</a></li>
    </ul>
<form method="post" action="">
    <fieldset>
        <legend>Login</legend>
        <input type="text" name="uname" placeholder="User name">
        <br><input type="password" name="pwd" placeholder="Password">
        <br><input type="submit" value=" Login ">
        <ul><li><a href="#">Forgot Password ?</a></li><li><a href="#">Register</a></li></ul>
        </fieldset>
    </form>
    <img src="{% static "images/menu_foot.png" %}" class="menuf">


    </div>
<div class="bodyc"><br>
    <div class="col-12 border" >
        <h1>Registration </h1>
{% csrf_token %}
        <div class='reg'>

            <div class="form">
            <input type="text" name="UserName" placeholder="User Name" value="" id="id_username"><br>
                <input list="college" name="college" placeholder="College" id="id_college">
                    <datalist id="college">
                        <option value="IITBHU">
                        <option value="IITB">
                        <option value="IITD">
                        <option value="IITR">
                        <option value="IITKgp">
                        <option value="IITKgp">
                    </datalist>

             <br>
             <input type="email" name="email" placeholder= "Email" id="id_emailid" ><br>
             <input type="Password" name="password" placeholder="Enter Password" id='id_password' ><br>
             <input type="password" name="cpassword" placeholder="Confirm Password" id='id_conpassword' ><br>

        </div>
        <div class="form"> An email has been sent to your id.<br>Click on the link there and return to this page.<br>
            </div>
        <div class="form">

<form method="post" id="fform" action="/polls/register/{{request.session.eid}}/{{request.session.otp}}/interests/" enctype="multipart/form-data">

           {% csrf_token %}
            <input type="text" name="firstname" placeholder="First Name"><br>
            <input type="text" name="lastname" placeholder="Last Name"><br>
            <input type="Date" name="dob" min="1900-01-01"> <br>
            <input type="text" name="gender" placeholder="Gender"><br>
            <input type="text" name="fathername" placeholder="Father's Name"> <br>
            <input type="text" name="permaadd" placeholder="Address"><br>
            <input type="number" name="contact" placeholder="Contact Number"><br>
            <input type="file" name="picture"><br><br>
             <br>
            </form>
        </div>



        </div> <div class="btn" id="register">&raquo;</div>
        <div class="btn2" >&raquo;</div>

        <span class="rmsg"></span>

    </div>

   </div>

{% if registered %}


{% else %}
<form method="post" action="/polls/register/{{request.session.eid}}/{{request.session.otp}}/interests/" enctype="multipart/form-data">
    {% csrf_token %}
       <div id="registerform" >

           <!--<img src="class="logo2">-->
            <input type="button" value="register" name="register" id="register" ><br/>

       </div>
       <div id='emailsent'>
           email has been sent  {{request.session.otp}}
       </div>
       <div id="userprofileform">
          {{ user_profileform.as_p }}
          <input type="submit" value="Add_to_Profile" name="Add_to_profile" ><br/>
       </div>
    <div id='emailexists'>
        email id is already registered
    </div>
{#       <div id="interestsform">#}
{#           {{ interest_form.as_p }}#}
{#       <input type="submit" value="Add_my_Interest" name="Add_my_interest" ><br/>#}

    <!-- College &nbsp &nbsp &nbsp  <input type="text" value="college"  name="college" required><br/>
    E-mail ID  &nbsp <input type="email" value="emailid"  name="emailid" required><br/>
    Password &nbsp &nbsp  <input type="password" value="password"  name="password" required><br/>
    Confirm  Password &nbsp &nbsp  <input type="password" value="conpassword"  name="conpassword" required><br/> -->
    <script>
        var div1=document.getElementById('registerform');
        var div3=document.getElementById('userprofileform');
        div3.style.display="none";
        var div2=document.getElementById('emailsent');
        div2.style.display="none";
        var div5=document.getElementById('emailexists');
        div5.style.display="none";

        {#     var div4=document.getElementById('interestsform');#}
{#        div4.style.display="none";  >#}
    </script>



 </form>

{% endif %}
<div> </div>
</body>
</html>